Back to Amazon
Apify·Amazon

Amazon Reviews Scraper

/junglee/amazon-reviews-scraperasync$0.015 / result

Amazon scraper to extract reviews from Amazon products. Scrape and download detailed reviews without using the Amazon API, including rating score, review description, reactions and images. Download your data as HTML table, JSON, CSV, Excel, XML. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • productUrlsarrayrequired

    Enter the URL or URLs of the Amazon products you want to scrape. (E.g., https://www.amazon.com/Sceptre-E248W-19203R-Monitor-Speakers-Metallic/dp/B0773ZY26F). Click + Add to scrape multiple URLs at once.

  • maxReviewsinteger

    Type in the amount of reviews to be scraped. Leave this blank if you want to extract all reviews. ❗ Note: max amount of reviews per product is 100 per star count (e.g. 100 reviews per 1 star), 100 per product variant (100 reviews per each product variant), several hundred for media reviews, ~20 for

  • includeGdprSensitiveboolean

    Personal data such as name, ID or profile image is protected by GDPR in the European Union and by other regulations around the world. You should not scrape personal data unless you have a legitimate reason to do so. [Read more](https://blog.apify.com/is-web-scraping-legal/). (default false)

  • sortstring

    Select by which criteria the reviews should be sorted. Amazon's default is Top reviews. (default "helpful")

    helpful, recent

  • reviewsCutoffDatestring

    Limit how far back to the history the scraper should go. The date should be in YYYY-MM-DD or full ISO absolute format or in relative format e.g. 1 days, 2 months, 3 years. All time values are taken in UTC timezone. The maximum reviews per product we can get is 100.

  • filterByRatingsarray

    Select the number of stars by which reviews should be filtered. Amazon's default is All stars. Duplicate reviews, caused by selecting overlapping ratings (e.g., 1 star and All critical) will be filtered out. (default ["allStars"])

  • reviewsUseProductVariantFilterboolean

    If the product has multiple variants (e.g., different colors, sizes, etc.), you can scrape reviews only for the selected variant. (default false)

  • reviewsFilterByKeywordsarray

    Enter keywords by which the reviews should be filtered. Each keyword is scraped separately, in a combination with Filter by ratings option. Duplicate reviews, caused by selecting overlapping keywords, will be filtered out. Example keywords that get lots of results: `["Good", "Bad", "Great", "Qualit

  • scrapeProductDetailsboolean

    If enabled, the Actor will scrape and save product data the same way as the [Amazon Product Scraper](https://console.apify.com/actors/BG3WDrGdteHgZgbPK). The product details will be available in the `product` output field. (default false)

  • reviewsAlwaysSaveCategoryDataboolean

    If enabled, the Actor will return the review category data even if there are no reviews. - Normally, only reviews are saved, if there are no reviews, the review category data is not saved. - With this option, the review category data will be saved alone, if there are no reviews (review fields are em (default false)

  • deduplicateRedirectedAsinsboolean

    If set, the crawler will deduplicate the redirected ASINs (by default). Otherwise the product will be saved multiple times under the ASINs it was redirected to. (default true)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/junglee/amazon-reviews-scraper","input":{"productUrls":[{"url":"https://www.amazon.com/dp/B0CWXNS552"}]}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.